# List Disputes Retrieve a list of Disputes. For details on how to query endpoints using the available parameters, see Query Parameters. Endpoint: GET /disputes Version: 2022-02-01 Security: BasicAuth ## Query parameters: - `limit` (integer) The numbers of items to return. Example: 3 - `created_at.gte` (string) Filter where created_at is after the given date. Example: "2022-09-27T11:21:23" - `created_at.lte` (string) Filter where created_at is before the given date. Example: "2026-09-27T11:21:23" - `updated_at.gte` (string) Filter where updated_at is after the given date. Example: "2022-09-27T11:21:23" - `updated_at.lte` (string) Filter where updated_at is before the given date. Example: "2026-09-27T11:21:23" - `application_id` (string) Filter by Application ID. Example: "APc9vhYcPsRuTSpKD9KpMtPe" - `transfer_id` (string) Filter by the ID of the Transfer that's being disputed. Note: If included, all other filter parameters are ignored. - `adjustment_transfer_id` (string) Filter by the ID of the adjustment Transfer. Note: If included, all other filter parameters are ignored. - `amount` (integer) Filter by an amount equal to the given value. Example: 100 - `amount.gte` (integer) Filter by an amount greater than or equal. Example: 100 - `amount.gt` (integer) Filter by an amount greater than. Example: 100 - `amount.lt` (integer) Filter by an amount less than. Example: 100 - `state` (string) Filter by the state of the Dispute. - `response_state` (string) Filter by the response_state of the Dispute. - `respond_by.lte` (string) Filter where respond_by is before the given date. - `respond_by.gte` (string) Filter where respond_by is after the given date. - `instrument_bin` (string) Filter by the Bank Identification Number (BIN). The BIN is the first 6 digits of the masked account number. - `instrument_brand_type` (string) Filter by the card brand used. - `merchant_identity_id` (string) Filter by the ID of the Identity used by the Merchant. - `merchant_identity_name` (string) Filter by the name used by the Merchant. - `merchant_identity_name.like` (string) Filter by the name used by the Merchant. Use this when searching with only partial name values. - `instrument_name` (string) Filter by the name of the Payment Instrument. - `instrument_type` (string) Filter by Payment Instrument type. - `merchant_id` (string) Filter by the ID of the Merchant. - `merchant_mid` (string) Filter by the MID of the Merchant. - `instrument_card_last4` (string) Filter by the last 4 digits of the card used. - `instrument_card_type` (string) Filter by the card type. - `instrument_fingerprint` (string) Filter by the fingerprint of the Payment Instrument. - `before_cursor` (string) Returns every Dispute created before the cursor value. - `tags.key` (string) Filter by the tag's key. For more information, see Tags. Example: "card_type" - `tags.value` (string) Filter by the tag's value. For more information, see Tags. Example: "business_card" ## Response 200 fields (application/json): - `page` (object) - `page.count` (integer) The number of entries returned. - `page.limit` (integer) The number of entries to return. - `page.offset` (integer) The number of items to skip before starting to collect the result set. - `_embedded` (object) List of Dispute objects. - `_embedded.disputes` (array) Dispute objects. - `_embedded.disputes.id` (string) The ID of the Dispute resource. Example: "DIxxxxxxxxxxxxxxxxxx" - `_embedded.disputes.created_at` (string) Timestamp of when the object was created. - `_embedded.disputes.updated_at` (string) Timestamp of when the object was last updated. - `_embedded.disputes.action` (string,null) The next action required to move forward with the Dispute. - `_embedded.disputes.amount` (integer,null) The total amount of the Dispute (in cents). - `_embedded.disputes.application` (string) The ID of the Application resource that the Dispute was created under. - `_embedded.disputes.dispute_details` (object) Details about the Dispute received by the Processor. Any data from the processor can get included. - `_embedded.disputes.dispute_details.case_id` (string,null) The case number the Processor has given the dispute in their internal database. - `_embedded.disputes.dispute_details.pin_debit_adjustment_number` (string,null) Used by the processor to identify the funds that are getting disputed. - `_embedded.disputes.dispute_details.reason_code` (string,null) Used by the processor and card networks to identify why the dispute got filed. - `_embedded.disputes.evidence_submitted` (string) The status of the uploaded evidence. [See Dispute#response_details for the next steps to move the Dispute forward](#operation/getDispute). Enum: "CHARGEBACK", "NOT_SUPPORTED", "NONE", "UNKNOWN", "INQUIRY" - `_embedded.disputes.identity` (string) - The ID of the seller's Identity resource. - This is the Identity resource that was used to create the seller's Merchant. - `_embedded.disputes.merchant` (string) - The ID of the seller's Merchant resource. - This is the Merchant account the Dispute was filed against. - `_embedded.disputes.message` (string,null) Message field that provides additional details. This field is typically null. - `_embedded.disputes.occurred_at` (string,null) Point in time when the Transfer that's getting disputed got created. - `_embedded.disputes.reason` (string) The system-defined reason for the Dispute. Available values include:INQUIRYQUALITYFRAUD Enum: "CLERICAL", "FRAUD", "INQUIRY", "QUALITY", "TECHNICAL" - `_embedded.disputes.respond_by` (string,null) Point in time, the Merchant needs to respond to the dispute by. - `_embedded.disputes.response_state` (string) Details the state of the Dispute and what action the Merchant needs to take. - NEEDS_RESPONSE: The Merchant needs to respond to the Dispute by Dispute#respond_by. For details on how to respond to a Dispute, see [Responding to Disputes](/guides/after-the-payment/disputes/responding-to-disputes). - RESPONDED: The issuing bank has received the evidence and actively reviewing it. No action needed from the Merchant. - ACCEPTED: The Merchant has accepted the Dispute. When a Dispute is accepted, you concede that the dispute is not worth challenging or representing. For details on how to accept a Dispute, see [Accepting a Dispute](/guides/after-the-payment/disputes/accepting-disputes/). - NO_RESPONSE_ALLOWED: The final Dispute#response_state when a Dispute is either WON or LOST. - UNKNOWN: Occurs when testing Disputes in the sandbox on the DUMMY_V1 processor or in production on the VANTIV_V1 processor. Enum: "NEEDS_RESPONSE", "RESPONDED", "ACCEPTED", "NO_RESPONSE_ALLOWED", "UNKNOWN" - `_embedded.disputes.state` (string) The current state of the Dispute. Enum: "INQUIRY", "PENDING", "WON", "LOST" - `_embedded.disputes.tags` (object,null) Include up to 50 key: value pairs to annotate requests with custom metadata. - Maximum character length for individual keys is 40. - Maximum character length for individual values is 500. (For example, order_number: 25, item_type: produce, department: sales) - `_embedded.disputes.transfer` (string) ID of the Transfer resource. Example: "TRxxxxxxxxxxxxxxxxxx" - `_embedded.disputes._links` (object) For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs. - `_embedded.disputes._links.adjustment_transfers` (object) - `_embedded.disputes._links.adjustment_transfers.href` (string) - `_embedded.disputes._links.application` (object) Link to the Application the resource was created under. - `_embedded.disputes._links.evidence` (object) - `_embedded.disputes._links.self` (object) Link to the resource that was used in the request. - `_embedded.disputes._links.transfer` (object) Link to the Transfers realted to the Dispute. ## Response 401 fields (application/json): - `total` (integer) - `_embedded` (object) - `_embedded.errors` (array) - `_embedded.errors.code` (string) Enum: "UNKNOWN" - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) - `_embedded.errors._links` (object) - `_embedded.errors._links.self` (object) - `_embedded.errors._links.self.href` (string) - `_embedded.errors._links.source` (object) ## Response 403 fields (application/json): - `total` (integer) - `_embedded` (object) - `_embedded.errors` (array) - `_embedded.errors.code` (string) Enum: "FORBIDDEN" - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) - `_embedded.errors._links` (object) - `_embedded.errors._links.source` (object) - `_embedded.errors._links.source.href` (string) ## Response 406 fields (application/json): - `total` (integer) - `_embedded` (object) - `_embedded.errors` (array) - `_embedded.errors.code` (string) Enum: "NOT_FOUND" - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) - `_embedded.errors._links` (object) - `_embedded.errors._links.source` (object) - `_embedded.errors._links.source.href` (string)